package org.jeecg.modules.ctop.controller;

import cn.com.ctop.common.module.utils.ResultMapUtils;
import cn.com.ctop.common.module.utils.StatusCode;
import cn.com.ctop.crawler.modules.appium.service.IAppiumJobService;
import cn.com.ctop.crawler.modules.appium.service.IAppiumTaskService;
import org.jeecg.modules.mq.Sender;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Map;

@RestController
@RequestMapping("mq")
public class TestMqController {
    @Autowired
    private Sender sender;
    @Autowired
    private IAppiumJobService jobService;
    @Autowired
    private IAppiumTaskService appiumTaskService;

    @GetMapping("hello")
    public Map<String, Object> sayHello() {
        Map<String, Object> result = new HashMap<>();
        sender.send();
        ResultMapUtils.setResultMap(result, StatusCode.COMMON_SUCCESS.getCode());
        return result;
    }

    @GetMapping("task1")
    public Map<String, Object> task1() {
        Map<String, Object> result = new HashMap<>();
        jobService.loginTask(2L);
        ResultMapUtils.setResultMap(result, StatusCode.COMMON_SUCCESS.getCode());
        return result;
    }

    @GetMapping("task2")
    public Map<String, Object> task2() {
        Map<String, Object> result = new HashMap<>();
        appiumTaskService.runTask(1, 1);
        ResultMapUtils.setResultMap(result, StatusCode.COMMON_SUCCESS.getCode());
        return result;
    }
}
